package as;

import javafx.application.Application;
import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class Main extends Application {

    public static void main(String[] args) {
        launch(args);  // tworzy obiekt Stage, wywołuje metodę start()
    }

    @Override
    public void start(Stage okno) {
        // Kontrolki
        Label etykieta = new Label("JavaFX Maven");

        // Kontener
        VBox kontener = new VBox(etykieta);
        kontener.setAlignment(Pos.CENTER); // pozycja elementów
        kontener.setSpacing(16); // odleglości między elementami
        kontener.setPadding(new Insets(16)); // odległości od brzegów

        // Scena
        Scene scena = new Scene(kontener, 300, 300);

        // Główne okno
        okno.setScene(scena);
        okno.setTitle("JavaFX");
        okno.show();
    }

}
